import { Component, Input, ContentChild } from '@angular/core';
import { Header, Footer } from 'primeng/primeng';

@Component({
  selector: 'of-p-dropdownPanel',
  templateUrl: './dropdown-panel.component.html',
  styleUrls: ['./dropdown-panel.component.scss'],
})
export class DropdownPanelComponent {
  @Input() blockTarget: any;

  @Input() style: any;

  @Input() styleClass: string;

  @Input() headerStyle: any;

  @Input() headerStyleClass: string;

  @Input() footerStyle: any;

  @Input() footerStyleClass: string;

  @ContentChild(Header) headerFacet;

  @ContentChild(Footer) footerFacet;

  constructor() { }

}
